[manpage_begin tu::toplevels n 0.1]
[require   Tk 8.5]
[require   tu::toplevels::tk [opt 0.1]]
[moddesc   {Toplevels}]
[titledesc {Toplevels}]
[category  {GUI programming tools}]
[copyright {2022 Stuart Cassoff <stwo@users.sourceforge.net>}]
[keywords  toplevel]

[description]

Toplevel manipulation commands.


[section {COMMANDS}]

[usage namespace import ::toplevels::tk::*]

[list_begin definitions]

[call [cmd {windowIsToplevel}] [arg {w}]]
[call [cmd {newToplevel}] [opt [arg {w}]] [opt [arg {args}]]]
[call [cmd {groupToplevel}] [arg {w}] [opt [arg {W}]]]
[call [cmd {destroyToplevel}] [arg {w}]]
[call [cmd {transientizeToplevel}] [arg {w}] [opt [arg {W}]]]
[call [cmd {withdrawToplevel}] [arg {w}]]
[call [cmd {forgetToplevel}] [arg {w}]]
[call [cmd {deiconifyToplevel}] [arg {w}]]
[call [cmd {toplevelIsZoomable}] [arg {w}]]
[call [cmd {toplevelZoomed}] [arg {w}] [opt [arg {zoomed}]]]
[call [cmd {toplevelFullscreen}] [arg {w}] [opt [arg {fullscreen}]]]
[call [cmd {toplevelGeometry}] [arg {w}] [opt [arg {args}]]]
[call [cmd {manageToplevel}] [arg {w}]]
[call [cmd {toplevelResizable}] [arg {w}] [opt [arg {args}]]]
[call [cmd {setToplevelTitle}] [arg {w}] [arg {title}]]
[call [cmd {getToplevelTitle}] [arg {w}]]
[call [cmd {centreToplevel}] [arg {w}] [opt [arg {W}]]]
[call [cmd {centerToplevel}] [arg {w}] [opt [arg {W}]]]
[call [cmd {onToplevelDelete}] [arg {w}] [arg {script}]]
[call [cmd {createToplevelGui}] [opt [arg {title}]] [opt [arg {args}]]]

[list_end]


[manpage_end]
